$(function() {

	$(".classWordKouho").click(function(){
		// リライト候補の単語をクリックすると、単語個別登録画面に結果が表示される。
		var word = $(this).text();
		$("#idNewWord").val(word);
		$("#idInputText").val("");	// 一時的に初期化しておく
		$.ajax({
			type: "POST",
			url: "wordsearch.php",
			data: {
				"word": word,
				"outputType": "2"
			},
			success: function(returnData){
				// 読込成功時
				$("#idInputText").val(returnData);
			}
		});

	});

	$("#buttonSearch").click(function(){
		// 単語の候補を検索し、表示する
		var word = $("#idNewWord").val();	// テキスト抽出
		if ( word == "" ){
			alert('単語を入力してください。');
			return;
		}
		$("#idInputText").val("");	// 一時的に初期化しておく
		$.ajax({
			type: "POST",
			url: "wordsearch.php",
			data: {
				"word": word,
				"outputType": "2"
			},
			success: function(returnData){
				// 読込成功時
				$("#idInputText").val(returnData);
			}
		});
	});

	$("#buttonRegist").click(function(){
		// 単語とその候補を登録するが、チェックボックスを先に確認する
		// OKとなる条件、単語〇候補×、単語〇候補〇
		var wordCheck = $("#idCheckWord").prop('checked');		// trueかfalse
		var kouhoCheck = $("#idCheckKouho").prop('checked');	// trueかfalse
		var word = $("#idNewWord").val();	// テキスト抽出
		var kouho = $("#idInputText").val();	// テキスト抽出

		if ( wordCheck == false ){
			alert('単語には必ずチェックを付けてください。');
			return;
		}
		if ( word == "" ){
			alert('単語を入力してください。');
			return;
		}
		if ( kouhoCheck == true && kouho == "" ){
			// 候補にチェックがついていて、かつ候補が入力されていない場合
			alert('候補を入力してください。');
			return;
		}

		$.ajax({
			type: "POST",
			url: "wordregist.php",
			data: {
				"word": word,
				"wordCheck": wordCheck,
				"kouho": kouho,
				"kouhoCheck": kouhoCheck
			},
			success: function(returnData){
				// 読込成功時
				alert('登録完了しました。');
				location.reload();
			}
		});
	});

	$("#buttonDelete").click(function(){
		// 単語とその候補を削除する
		// OKとなる条件、単語〇候補×、単語〇候補〇
		var wordCheck = $("#idCheckWord").prop('checked');		// trueかfalse
		var kouhoCheck = $("#idCheckKouho").prop('checked');	// trueかfalse
		var word = $("#idNewWord").val();	// テキスト抽出
		var kouho = $("#idInputText").val();	// テキスト抽出

		if ( wordCheck == false ){
			alert('単語には必ずチェックを付けてください。');
			return;
		}
		if ( word == "" ){
			alert('単語を入力してください。');
			return;
		}

		$.ajax({
			type: "POST",
			url: "worddelete.php",
			data: {
				"word": word,
				"kouho": kouho
			},
			success: function(returnData){
				// 読込成功時
				alert('削除しました。');
				location.reload();
			}
		});
	});


	$("#idCsvRegist").click(function(){

		// CSVにアップロードされた単語・類義語情報を一括登録
		// 直接Ajaxに引き渡し、処理を行う。
		$.ajax({
			type: "POST",
			url: "wordcsvregist.php",
			success: function(returnData){
				// 読込成功時
				alert('登録完了しました。');
				location.reload();
			}
		});
	});
});
